Bug 123851 - PS2 Mouse does not work, if PS2 Mouse with USB Keyboard
PS2 Mouse does not work, if PS2 Mouse with USB Keyboard
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-20 18:58 EDT by Kevin LI
Modified: 2015-01-04 17:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 01:27:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kevin LI 2004-05-20 18:58:35 EDT
Description of problem:

PS2 Mouse does not work, if using PS2 Mouse with USB Keyboard 

Version-Release number of selected component (if applicable):

Fedora Core 1 or 2 (test or final release) with kernel above 2.6.+
 

How reproducible:

Tried on several different computers. (DELL GX150, and several other
DIY computers). HP USB Keyboard, Compaq PS2 Mouse. PS2 Mouse not working.

If change to PS2 Keyboard with the same mouse, both work.


Steps to Reproduce:
1.
2.
3.
  
Actual results:
USB Keyboard+PS2 Mosue   ---- PS2 mouse not work
PS2 Keyboard+PS2 Mosue   ---- Work
USB Keyboard+USB Mouse   ---- Work
PS2 Keyboard+USB Mouse   ---- not tested


Expected results:
USB Keyboard+PS2 Mosue   ---- work
PS2 Keyboard+PS2 Mosue   ---- Work
USB Keyboard+USB Mouse   ---- Work
PS2 Keyboard+USB Mouse   ---- Work

Additional info:
Comment 1 Kevin LI 2004-05-20 19:17:52 EDT
As long as I was doing above testing, I think the problem might be 
this. 

When kernel tries to probe PS2 devices (Keyboard and Mouse), it 
detects Keyborad first, when no device detected on keyboard's PS2 
port, kernel stops detecting the next PS2 port. 

Because, I just tried connecting two keyboards same time(one on USB 
on on PS2), and still use one PS2 mouse. At this time, both keyboards 
work, and the PS2 mouse works prettry well.
  
Comment 2 Kevin LI 2004-05-21 10:21:27 EDT
My temporary solution is, connect a broken PS2 mouse on the Keyboard
PS2 port, faking there's is a keyboard. And just put the fake keyboard
somewhere untouchable.

Then both my USB keyboard and PS2 mouse worked.

Very funny.
Comment 3 ScipioX 2004-07-01 03:01:19 EDT
If I disable USB Legacy in BIOS the mouse is working well, but I 
can't select from grub menu at boot.
Comment 4 ScipioX 2004-07-02 15:18:45 EDT
Put i8042.dumbkbd in kernel param. It solved the problem for me.
Comment 5 Dave Jones 2005-04-16 01:27:38 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.